<div class="modal-header">
    <h4 class="modal-title">เบิกแต้มจำนวน {{data.exp}}</h4>
    <button type="button" class="close" aria-label="Close" (click)="close()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
  
    <div class="content">
        <select *ngIf="data.bank != ''" name="bank_selected" #bbank (change)="sbank(bbank.value)"
        [disabled]="data.confirm!=0">
        <option [value]='noselect'>เลือกบัญชีธนาคาร</option>
        <option *ngFor="let b of data.bank" [value]='b.bb_id'>{{b.no}} ({{b.bank}})</option>
    </select>
    <span *ngIf="data.bank == ''">ไม่พบเลขที่บัญชี</span>
    </div><br>
    <div>
        <img [src]="url">
    </div><br>
    <div>
        <input style="display: none;" #uploadImg id="slipinput" type="file" accept="image/*"
        (change)="changeImg($event)" hidden>
        <button type="button"  class="btn btn-raised mr-1 btn-primary"(click)="uploadImg.click()">แนบหลักฐาน</button>
      </div>
  </div>
  <div class="modal-footer">
    <button type="button"  class="btn btn-raised mr-1 btn-primary" (click)="confirm()">ยืนยัน</button>
    <button type="button" class="btn btn-secondary btn-raised" (click)="close()">ปิดออก</button>
  </div>